package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.QJ;
import com.sa.ibiz.demo.demo.service.dto.QJSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface QJMapper extends BaseMapper<QJ>{
    @CacheEvict( value="entity",key = "'QJ:'+#p0.qjid")
    void updateOne(@Param("qj") QJ qj);
    List<QJ> searchDefault(@Param("srf") QJSearchFilter searchfilter,@Param("ew") Wrapper<QJ> wrapper) ;
    Page<QJ> searchDefault(IPage page, @Param("srf") QJSearchFilter searchfilter, @Param("ew") Wrapper<QJ> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'QJ:'+#p0")
    QJ selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'QJ:'+#p0.qjid")
    int updateById(@Param(Constants.ENTITY) QJ entity);
    @Override
    @CacheEvict( value="entity",key = "'QJ:'+#p0.qjid")
    int insert(QJ entity);
    @Override
    @CacheEvict( value="entity",key = "'QJ:'+#p0")
    int deleteById(Serializable id);
}